Subject: [PATCH 04/29] drivers: base: add notifier for failed driver bind

From: [email-masked] (Joerg Roedel)
Date: Mon, 25 Aug 2014 23:18:23 +0200

On Tue, Aug 05, 2014 at 12:47:32PM +0200, Marek Szyprowski wrote:
> +	if (failed && dev->bus)
> +		blocking_notifier_call_chain(&dev->bus->p->bus_notifier,
> +					     BUS_NOTIFY_DRVBIND_FAILED, dev);
> +

Why can't you just use the notifier for BUS_NOTIFY_UNBIND_DRIVER or
BUS_NOTIFY_UNBOUND_DRIVER when something goes wrong in driver
initialization?

	Joerg